Page MenuHomePhabricator

Experimental: add support memory data profiling.
ClosedPublic

Authored by NikaWhite on Nov 19 2017, 11:38 PM.

Details

Summary

This commit add functionality for processing residential memeory data.
This will work only with special patch into efl_debug infra. Patch could
be find in comments for this differential.
What is done:

  • Processing data for "*MEMINFO" events.
  • Create navigation graph for memory usage.

What should be added:

  • The event area data.
  • Show values of memory consumption.

Diff Detail

Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5149
Build 5543: arc lint + arc unit
NikaWhite created this revision.Nov 19 2017, 11:38 PM


For checking how this works - the patch above should be applied into efl git.

Deepwarrior accepted this revision.Nov 20 2017, 5:20 AM
This revision is now accepted and ready to land.Nov 20 2017, 5:20 AM
i.furs accepted this revision.Dec 15 2017, 12:13 AM
Hermet closed this revision.Mar 27 2019, 6:43 PM